Subject: duplicate objects in appnGeneral and appnLocalGeneral

From: Bob Clouston <[email-masked]>
Date: Tue, 16 Jan 96 18:48:00 EST

I thought we had discussed this at one point but it we didn't seem to
cover this last AIW.

There are still some duplicate objects in the mib.  Specifically:
appnNodeCpName (appnobjects.1.1.1) and appnLocalNodeName (appnObjects.3.1.1.1)
appnNodeType and appnLocalNodeType
appnNodeNnRouteAddResist and appnLocalNnRouteAddResist
appnNodeNnIsr and appnLocalNnIsr
appnNodeNnPeriBorderSup and appnLocalPeriBorderSup
appnNodeNnInterchangeSup and appnLocalNnInterchangeSup
appnNodeNnExteBorderSup and appnLocalExteBorderSup
appnNodeNnCentralDirectory and appnLocalNnCentralDirectory
appnNodeHprSupport and appnLocalNnHprSupport
appnNodeNnGateway was removed last version but appnLocalNnGateway still exists
 and should be removed also, right?
There may be more that I missed.

Only one of these is needed, I suggest we keep the first and remove the second.

It appears that appn*InfoAndCaps has configuration and capabilities 
information, while appnLocal* has runtime values.  
With that in mind, if we need to keep appnLocalNnChainSupport
it should be moved to appnNnUniqueInfoAndCaps.

Also in the appnLocal section I believe appnLocalNnRsn should be removed
as it has no real information and is also in the nnTopo table if someone
should ever find a need for it.
If it is needed then why is there no Rsn object in the 
appnLocalTg table, since TGs are more likely to change than NNs?
If we keep it for some reason the description reference to an odd number should
be removed since the local node should never make itself inconsistent (odd).

Bob Clouston
Cisco Systems
[email-masked]